# =====================
# = Spring Datasource =
# =====================
spring.datasource.url=jdbc:postgresql://localhost:5432/plic?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=UTC
spring.datasource.username=wotluaxugsadcl
spring.datasource.password=postgres
# ======================
# = Hibernate ddl auto =
# ======================
spring.jpa.hibernate.ddl-auto=update
# ============================================================================
# = Keep the connection alive if idle for a long time (needed in production) =
# ============================================================================
spring.datasource.testWhileIdle=true
spring.datasource.validationQuery=SELECT 1
# ===============================================================================
# = The SQL dialect makes Hibernate generate better SQL for the chosen database =
# ===============================================================================
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
# ===================================
# = To make HTTPS (but auto signed) =
# ===================================
#server.port = 4443
#server.ssl.key-store = classpath:keystore.p12
#server.ssl.key-store-password = 8DmF33kEi
#server.ssl.keyStoreType = PKCS12
#server.ssl.keyAlias = plic
# ===================
# = Debug variables =
# ===================
debug=false
server.error.include-stacktrace=never
# =========================
# = Swagger documentation =
# =========================
springdoc.api-docs.path=/api-docs
springdoc.swagger-ui.path=/swagger-ui.html
spring.swagger.username=Swagger
spring.swagger.password=Swagger
# ==========
# = Server =
# ==========
server.port=${PORT:8080}
server.angular.address=https://front-end-learn-run.herokuapp.com/
# ========
# = Mail =
# ========
spring.email.username=noreply.learnandrun@gmail.com
spring.email.password=${EMAIL_PASSWORD}
# =========================
# = Session configuration =
# =========================
server.servlet.remember.key=SuperKeyToEncodeRememberMeCookie
server.servlet.remember.cookie.name=RememberMe
server.servlet.remember.timeout=2592000
server.servlet.session.cookie.name=SessionId
server.servlet.session.timeout=30m
server.servlet.session.cookie.http-only=true
server.servlet.session.cookie.secure = true